Redmine - Defect #5884

PDF export doesn't work for Hebrew
2010-07-15 11:55 - Orgad Shaneh

Status: Closed Start date: 2010-07-15
Priority: Normal Due date:

Assignee: % Done: 0%
Category: PDF export Estimated time: 0.00 hour
Target version:

Resolution: Duplicate Affected version:

Description

Hello,

I'm running redmine with Hebrew translation and Rtl theme. PDF export doesn't work at all (HTTP 500).

| created an issue with Hebrew text on the demo redmine, and exported it to PDF. The Hebrew became gibberish.

Related issues:

Related to Redmine - Defect #6505: PDF export broken with Japanese (Gannt and... Closed 2010-09-27
Is duplicate of Redmine - Defect #61: Broken character encoding in pdf export Closed
History

#1 - 2010-07-15 11:55 - Orgad Shaneh

On my server, even CSV doesn't work - only Atom...

#2 - 2010-07-15 14:00 - Orgad Shaneh

Ok, it has nothing to do with the Rtl theme. Apparently, the encoding specified in he.yml (ISO-8859-8-I) is not supported in iconv, so it crashes... It
should be changed to ISO-8859-8. Still, it can't show Hebrew characters, because the used font is not in the correct encoding, and even if it would
have been, it would display it reversed.

Following issue #61, | was able to produce a PDF with Hebrew characters using UTF-8, but it is reversed. Is there any way to define the PDF as
RTL?

#3 - 2011-03-21 06:37 - Toshi MARUYAMA
- Category set to PDF export
- Status changed from New to Closed

- Resolution set to Duplicate
http://demo.redmine.org/issues/26262
http://demo.redmine.org/issues/26262.pdf
https://www.redmine.org/issues/61
http://www.tcpdf.org

